mxnet-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Qing Lan <lanking...@live.com>
Subject Show deprecation warning message for deprecated API
Date Wed, 06 Jun 2018 17:55:37 GMT
Hi all,

I would like to quote an issue<https://github.com/apache/incubator-mxnet/issues/11072>
sent from Sandeep:
```

We should always show Deprecated warning message for deprecated API.
For example, I used mx.sym.SoftmaxActivation() API, but, it was deprecated in favor of mx.sym.softmax().
However, I never saw a warning message.

Similarly, we should identify and warn for all deprecated API usage.
```
I think we should add something to the API to label them deprecated and this process should
be done automatically. Currently, these pieces of information appear in the Description of
the function, which can be extracted using this C API:
“mxSymbolGetAtomicSymbolInfo”.
“.. note:: `Concat` is deprecated. Use `concat` instead.”
Regex can be used to determine whether the API is deprecated or not.

Thanks,
Qing

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message